Dahdi Trunk Problem

Hello,

Yesterday i did the fifth freepbx installation with Openvox B200P
FreePBX 14.0.1.31

The problem i have is that i cannot add a Dahdi Trunk.

lsdahdi

Span 1: B4/0/1 “B4XXP (PCI) Card 0 Span 1” (MASTER) AMI/CCS RED

1 BRI Clear (In use) (EC: OSLEC - INACTIVE) RED
2 BRI Clear (In use) (EC: OSLEC - INACTIVE) RED
3 BRI Hardware-assisted HDLC (In use) RED

Span 2: B4/0/2 “B4XXP (PCI) Card 0 Span 2” AMI/CCS RED

4 BRI Clear (In use) (EC: OSLEC - INACTIVE) RED
5 BRI Clear (In use) (EC: OSLEC - INACTIVE) RED
6 BRI Hardware-assisted HDLC (In use) RED

When i go at Connectivity->Trunks->Add Dahdi Trunks i put a Name and a Outbound CallerID then i press Submit and it does nothing.
I do this in Chrome and when i enable the Console Log at Browser Debug i get

Uncaught ReferenceError: trunk_channelids is not defined
at checkvalid (192.168.100.39/admin/assets/core/js/trunks/trunks.js?load_version=14.0.5.2:398:72)
at HTMLFormElement.onsubmit (192.168.100.39/admin/config.php?display=trunks&tech=DAHDI:83:239)
at Object.trigger (192.168.100.39/admin/assets/js/jquery-3.1.1.min.js?load_version=14.0.1.31:4:5859)
at HTMLFormElement. (192.168.100.39/admin/assets/js/jquery-3.1.1.min.js?load_version=14.0.1.31:4:6318)
at Function.each (192.168.100.39/admin/assets/js/jquery-3.1.1.min.js?load_version=14.0.1.31:2:2815)
at jQuery.fn.init.each (192.168.100.39/admin/assets/js/jquery-3.1.1.min.js?load_version=14.0.1.31:2:1003)
at jQuery.fn.init.trigger (192.168.100.39/admin/assets/js/jquery-3.1.1.min.js?load_version=14.0.1.31:4:6294)
at jQuery.fn.init.r.fn.(anonymous function) [as submit] (192.168.100.39/admin/assets/js/jquery-3.1.1.min.js?load_version=14.0.1.31:4:6712)
at HTMLInputElement. (192.168.100.39/admin/assets/js/pbxlib.js?load_version=14.0.1.31.1516697526:803:29)
at HTMLDocument.selectorSetHandler (192.168.100.39/admin/assets/js/jquery.selector-set-0.2.2.js?load_version=14.0.1.31:65:34)

Any ideas please?

For your knowledge this is happening with core module number
14.0.4 and 14.0.5.2
Once i downgraded to 14.0.1.25 it is working as it should

im having the same Problem.
Freepbx 14.0.31
core 14.0.5.2
DAHDi Config 14.0.1.1
It will not save the DAHDI Trunk
it will save IAX2 Trunks
How would i downgrade the Core Module?

Admin -> Module Admin -> Check Online -> Show only upgradeable -> Core -> Previous and there you can select some previous versions and rollback. Mine is working at 14.0.1.25

Thanks trying it now

it work for me

Submit a ticket so this can be fixed.

sure i will

Hi,

I have the same error for add and modify trunk, only dahdi :
ReferenceError: trunk_channelids is not defined
/admin/assets/core/js/trunks/trunks.js?load_version=14.0.5.2:398

I tested downgrade core but after downgrade i’m in 14.0.5.2, and i can’t downgrade again.

Someone can help ? :confused:

Are you sure you followed the steps i wrote to rollback?

Admin -> Module Admin -> Check Online -> Show only upgradeable -> Core -> Previous and there you can select some previous versions and rollback.

I did like 4-5 rollbacks till i find the last version it is working. Anyway i opened an issue(FREEPBX-16714) for the bug but i cannot post the link because i am new member.

The bug was fixed in version 14.0.5.6 of the Core Module.

This topic was automatically closed 365 days after the last reply. New replies are no longer allowed.